Uploaded image for project: 'Logging analytics'
  1. Logging analytics
  2. LOG-895

Upgrade Rancher to 1.6.25 to address CVE-2018-1002105 and move to Kubernetes 1.11.5 (server side)

    XMLWordPrintable

    Details

      Description

      Saw this on cnet yesterday - to fix

      Catherine Lefevre raised is as well in DCAEGEN2-1018

      https://github.com/kubernetes/kubernetes/issues/71411

      https://www.zdnet.com/article/kubernetes-first-major-security-hole-discovered/

      upgrade from 1.6.22 to 1.6.25 to move to kubernetes 1.11.3/1.11.5

      Kubernetes 1.11.5 (server only) in Rancher 1.6.25 has the same fix as kubernetes 1.12.3 for https://github.com/kubernetes/kubernetes/issues/71411

      https://github.com/rancher/rancher/releases/tag/v1.6.25

      An upgrade from 2.9.1 of Helm has not been scoped yet 

       

      there are 4 other scripts - getting them

       

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              michaelobrien Michael O'Brien
              Reporter:
              michaelobrien Michael O'Brien
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: